| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Condition Class Reference

The Condition class is the root base class for all the conditions that may be attached to a WaitSet. More...

`#include <Condition.hpp>`

Inheritance diagram for Condition:
[legend]

## Public Member Functions

virtual FASTDDS_EXPORTED_API bool | get_trigger_value () const
| Retrieves the trigger_value of the Condition.
detail::ConditionNotifier * | get_notifier () const

## Protected Member Functions

| Condition ()
virtual | ~Condition ()

## Protected Attributes

std::unique_ptr< detail::ConditionNotifier > | notifier_

## Detailed Description

The Condition class is the root base class for all the conditions that may be attached to a WaitSet.

## Constructor & Destructor Documentation

## ◆ Condition()

Condition | ( |  | ) |

protected

## ◆ ~Condition()

virtual ~Condition | ( |  | ) |

protected virtual

## Member Function Documentation

## ◆ get_notifier()

detail::ConditionNotifier * get_notifier | ( |  | ) | const

inline

## ◆ get_trigger_value()

virtual FASTDDS_EXPORTED_API bool get_trigger_value | ( |  | ) | const

inline virtual

Retrieves the trigger_value of the Condition.

Returns
  true if trigger_value is set to 'true', 'false' otherwise

Reimplemented in GuardCondition, ReadCondition, and StatusCondition.

## Member Data Documentation

## ◆ notifier_

std::unique_ptr<detail::ConditionNotifier> notifier_

protected

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/condition/Condition.hpp